extract common shell fns in tests

This commit is contained in:
Daniel Barlow 2023-05-07 23:01:24 +01:00
parent d8cc6ab61c
commit 55387b0ee3
5 changed files with 24 additions and 78 deletions

View file

@ -15,23 +15,7 @@ in pkgs.runCommand "check" {
socat
] ;
} ''
killpid(){
if test -e $1 && test -d /proc/`cat $1` ; then
pid=$(cat $1)
kill $pid
fi
}
cleanup(){
killpid ./vm/pid
}
trap cleanup EXIT
fatal(){
err=$?
echo "FAIL: command $(eval echo $BASH_COMMAND) exited with code $err"
exit $err
}
trap fatal ERR
. ${../test-helpers.sh}
mkdir vm
mips-vm --background ./vm ${img}/vmlinux ${img}/rootfs